<?
// 보드 배열 생성
$g4_board = array();
// 게시판의 설정값을 가져와 미리 저장한다.(이때 게시판리스트를 볼수있는 레벨이 회원레벨보다 높은다면 불러오지 않는다.)
$g4_board_select = "*";
if($member[mb_level] < 10) {
	$g4_board_where = "where bo_list_level <= '$member[mb_level]'";
}
$g4_board_sql = " select $g4_board_select from $g4[board_table] $g4_board_where order by bo_order_search, gr_id, bo_table, bo_1, bo_2, bo_3, bo_4, bo_5, bo_6, bo_7, bo_8, bo_9, bo_10 ";
$g4_board_result = mysql_query($g4_board_sql);
for($i=0; $g4_board_row = mysql_fetch_array($g4_board_result); $i++) {
	$g4_board[$i] = $g4_board_row;
	// 구룹목록을 불러 올때 필요한부분만 불러들이기 위함
	$g4_bo_gr_id[$i] = $g4_board_row[gr_id];
	// 최신들을 불러 올떄 필요한부분만 불러들이기 위함
	$g4_board_table[$i] = $g4_board_row[bo_table];
}

// 구룹정보를 불러와 저장한다.
// 중복배열 제거
if($g4_bo_gr_id) {
	$g4_gr_id = array_unique($g4_bo_gr_id); 
	$in=0; 
	for($i=0; $i<count($g4_bo_gr_id); $i++) {
		if($g4_gr_id[$i]) {
			if($in == 0) {
				$g4_group_in = "'$g4_gr_id[$i]'";
				$in++; 
			} else {
				$g4_group_in = "$g4_group_in, '$g4_gr_id[$i]'";
			}
		}
	}
	$g4_group_in = "where gr_id in ($g4_group_in)";
}

// 보드구룹 배열 생성
$g4_group = array();
$g4_group_select = "gr_id, gr_subject, gr_admin, gr_use_access, gr_1, gr_2, gr_3, gr_4, gr_5, gr_6, gr_7, gr_8, gr_9, gr_10";
$g4_group_sql = " select $g4_group_select from $g4[group_table] $g4_group_in order by gr_1 asc ";
$g4_group_result = mysql_query($g4_group_sql);
for($i=0; $g4_group_row = mysql_fetch_array($g4_group_result); $i++) {
	$g4_group[$i] = $g4_group_row;
	$g4_group_id[$i] = $g4_group_row[gr_id];
}

// 최신글정보를 불러와 저장한다.
// 중복배열 제거
if($g4_board_table) {
	$g4_bo_table = array_unique($g4_board_table);
	$in=0;
	for($i=0; $i<count($g4_board_table); $i++) {
		if($g4_bo_table[$i]) {
			if($in == 0) {
				$g4_table_in = "'$g4_bo_table[$i]'";
				$in++;
			} else {
				$g4_table_in = "$g4_table_in, '$g4_bo_table[$i]'"; 
			}
		}
	}
	$g4_table_in = "and bo_table in ($g4_table_in)";
}

// 최근날자 구하기 
$new_time = date("Y-m-d H:i:s", $g4['server_time'] - ($config[cf_new_del] * 86400)); 

// 최신글 목록 배열생성
$g4_new = array();//최신글저장소
$g4_new_select = '*';
$g4_new_query = sql_query(" select $g4_new_select from $g4[board_new_table] where bn_datetime >= '$new_time' $g4_table_in ");
for($i=0; $g4_new_row = sql_fetch_array($g4_new_query); $i++) {
	$g4_new[$i] = $g4_new_row;
	$g4_new_bo_table[$i] = $g4_new_row[bo_table];
}

// 최신글 목록 수
$g4_new[rows] = $i;
?>
